problema installazione flash player [Risolto]

Installazione, configurazione e utilizzo di applicativi multimediali, masterizzazione, acquisizione e codec audio/video, streaming, ecc.

problema installazione flash player [Risolto]

Messaggioda ubunter » lunedì 18 giugno 2018, 12:42

salve a tutti,

ho installato chromium, ma la visione dei video mi richiede di scaricare adobe flash player; ho provato da ubuntu software center ma ad un certo punto mi dice che il programma ha dipendenze non soddisfatte ed interrompe l' installazione...
Ultima modifica di ubunter il giovedì 21 giugno 2018, 20:40, modificato 3 volte in totale.
ubunter
Prode Principiante
 
Messaggi: 233
Iscrizione: febbraio 2008

Re: problema installazione flash player

Messaggioda caturen » lunedì 18 giugno 2018, 12:49

caturen
Tenace Tecnocrate
Tenace Tecnocrate
 
Messaggi: 14331
Iscrizione: aprile 2010
Desktop: diversi
Distribuzione: debian sid

Re: problema installazione flash player

Messaggioda ubunter » lunedì 18 giugno 2018, 13:24

grazie per il link.
ho provato la modalità manuale, scaricato il pacchetto per il browser, estratto il file e caricato nella directory plugin del browser, ma NON funziona...
ubunter
Prode Principiante
 
Messaggi: 233
Iscrizione: febbraio 2008

Re: problema installazione flash player

Messaggioda pachisapiu » lunedì 18 giugno 2018, 13:37

che browser ?
Carbonara is my law - Chi ?
Curriculum - OffTopic
Avatar utente
pachisapiu
Entusiasta Emergente
Entusiasta Emergente
 
Messaggi: 1543
Iscrizione: maggio 2017
Distribuzione: FreeDOS

Re: problema installazione flash player

Messaggioda ubunter » lunedì 18 giugno 2018, 18:34

...nessuno?
ubunter
Prode Principiante
 
Messaggi: 233
Iscrizione: febbraio 2008

Re: problema installazione flash player

Messaggioda caturen » lunedì 18 giugno 2018, 19:11

ubunter Immagine ha scritto:grazie per il link.
ho provato la modalità manuale, scaricato il pacchetto per il browser, estratto il file e caricato nella directory plugin del browser, ma NON funziona...

ma perchè andare a prendere sempre la soluzione più astrusa? Basta semplicemente
Attivare i repository Partner di Canonical.
Installare il pacchetto adobe-flashplugin.
Riavviare il browser e, se necessario, cambiarne le impostazioni per consentire l'attivazione del plugin flash.
caturen
Tenace Tecnocrate
Tenace Tecnocrate
 
Messaggi: 14331
Iscrizione: aprile 2010
Desktop: diversi
Distribuzione: debian sid

Re: problema installazione flash player

Messaggioda ubunter » lunedì 18 giugno 2018, 19:46

...astrusa??...era solo da copincollare un file scaricato...

...cmq:

- attivati i repo di canonical
- trovato il pacchetto adobe-flashplugin in ubuntu software center
- lanciata l' installazione

- ritorno al punto di partenza (dipendenze non soddisfatte-installazione interrotta)...
ubunter
Prode Principiante
 
Messaggi: 233
Iscrizione: febbraio 2008

Re: problema installazione flash player

Messaggioda caturen » lunedì 18 giugno 2018, 20:10

se non metti questo presunto errore in toto, e non un tuo riassunto, si può fare ben poco
.astrusa??...era solo da copincollare un file scaricato...
si, è astrusa perchè anche se il copia/incolla funziona, quel flash non ti verrà mai aggiornato e dovrai ogni volta che esce una nuova versione ripetere la cosa. Se invece abiliti il repo ed installi il pacchetto, questo verrà aggiornato con i normali aggiornamenti di sistema.
Comunque se ti serve flash SOLO per chromium puoi installare il pacchetto pepperflashplugin-nonfree http://cz.archive.ubuntu.com/ubuntu/poo ... _amd64.deb
Anche se viene descritto come deprecato, questo flash ancora funziona dato che ho appena provato
Immagine
non so come e se questo pacchetto viene però aggiornato dal sistema
ps
ma la visione dei video
ma di quali video si tratta? Puoi mettere un link?
caturen
Tenace Tecnocrate
Tenace Tecnocrate
 
Messaggi: 14331
Iscrizione: aprile 2010
Desktop: diversi
Distribuzione: debian sid

Re: problema installazione flash player

Messaggioda pachisapiu » lunedì 18 giugno 2018, 22:12

Rispondessi quando ti viene chiesto qualcosa non sarebbe male ....
ubunter Immagine ha scritto:grazie per il link.
ho provato la modalità manuale, scaricato il pacchetto per il browser, estratto il file e caricato nella directory plugin del browser, ma NON funziona...

pachisapiu Immagine ha scritto:che browser ?

magari uno ti aiuta meglio ...
Carbonara is my law - Chi ?
Curriculum - OffTopic
Avatar utente
pachisapiu
Entusiasta Emergente
Entusiasta Emergente
 
Messaggi: 1543
Iscrizione: maggio 2017
Distribuzione: FreeDOS

Re: problema installazione flash player

Messaggioda ubunter » martedì 19 giugno 2018, 7:09

si, è astrusa perchè anche se il copia/incolla funziona, quel flash non ti verrà mai aggiornato e dovrai ogni volta che esce una nuova versione ripetere la cosa.

questo lo avevo capito, volevo solo vedere se il plugin funzionava...

cmq...

messaggio di errore integrale (incomprensibile direi):

le dipendenze dei pacchetti non possono essere risolte

questo problema potrebbe essere causato dalla mancanza o dalla possibilità di non installare pacchetti software aggiuntivi.
potrebbe inoltre esserci un conflitto tra pacchetti software che npn possono essere installati nello stesso momento.

Dettagli

I seguenti pacchetti presentano dipendenze non soddisfatte:

flashplugin-installer




ma di quali video si tratta? Puoi mettere un link?

Non è necessario: non vedo nessun video, neppure da youtube...
ubunter
Prode Principiante
 
Messaggi: 233
Iscrizione: febbraio 2008

Re: problema installazione flash player

Messaggioda pachisapiu » martedì 19 giugno 2018, 9:41

Per youtube non occorre flash
Carbonara is my law - Chi ?
Curriculum - OffTopic
Avatar utente
pachisapiu
Entusiasta Emergente
Entusiasta Emergente
 
Messaggi: 1543
Iscrizione: maggio 2017
Distribuzione: FreeDOS

Re: problema installazione flash player

Messaggioda caturen » martedì 19 giugno 2018, 10:31

Non è necessario: non vedo nessun video, neppure da youtube...
beh, allora il problema non sta solo in flash ma anche da altre parti dato che oggigiorno la maggior parte dei siti (anche youtube) non usa più flash ma html5
Codice: Seleziona tutto
sudo apt-get install ubuntu-restricted-extras

questo lo avevo capito, volevo solo vedere se il plugin funzionava...
ma sei sicuro di aver scaricato il flash quello giusto? Tu devi usare il ppapi perchè l'altra versione è per firefox
caturen
Tenace Tecnocrate
Tenace Tecnocrate
 
Messaggi: 14331
Iscrizione: aprile 2010
Desktop: diversi
Distribuzione: debian sid

Re: problema installazione flash player

Messaggioda woddy68 » martedì 19 giugno 2018, 10:35

Secondo me hai qualche problema con gli aggiornamenti o comunque con i pacchetti, riesci a installare applicazioni al di la di flash ? riesci a fare gli aggiornamenti ?
se dai
Codice: Seleziona tutto
sudo apt update
sudo apt upgrade

ottieni errori ?
Desktop - Acer Aspire M5500 (AMD) OpenSuse Leap 15 Kde -- Kubuntu 18.04 -- Tumbleweed
Notebook Acer Aspire E1 -522 (Amd) Tumbleweed
Avatar utente
woddy68
Imperturbabile Insigne
Imperturbabile Insigne
 
Messaggi: 3479
Iscrizione: febbraio 2011
Località: Bellano Lc
Desktop: Kde Plasma5
Distribuzione: Leap 15 - Tumbleweed- Kubuntu 18.04
Sesso: Maschile

Re: problema installazione flash player

Messaggioda caturen » martedì 19 giugno 2018, 10:48

Secondo me hai qualche problema con gli aggiornamenti o comunque con i pacchetti,
Infatti.
Se tu avessi i repository a posto questo errore
I seguenti pacchetti presentano dipendenze non soddisfatte:

flashplugin-installer
non dovrebbe esserci proprio. Posta
gedit /etc/apt/sources.list
caturen
Tenace Tecnocrate
Tenace Tecnocrate
 
Messaggi: 14331
Iscrizione: aprile 2010
Desktop: diversi
Distribuzione: debian sid

Re: problema installazione flash player

Messaggioda ubunter » martedì 19 giugno 2018, 13:29

Codice: Seleziona tutto
# deb cdrom:[Ubuntu 14.04 LTS _Trusty Tahr_ - Release amd64 (20140417)]/ trusty main restricted

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://archive.ubuntu.com/ubuntu trusty main restricted
deb-src http://archive.ubuntu.com/ubuntu trusty main restricted

## Major bug fix updates produced after the final release of the
## distribution.

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://archive.ubuntu.com/ubuntu trusty universe
deb-src http://archive.ubuntu.com/ubuntu trusty universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://archive.ubuntu.com/ubuntu trusty multiverse
deb-src http://archive.ubuntu.com/ubuntu trusty multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.


## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
deb http://archive.canonical.com/ubuntu trusty partner
deb-src http://archive.canonical.com/ubuntu trusty partner

## This software is not part of Ubuntu, but is offered by third-party
## developers who want to ship their latest software.
deb http://extras.ubuntu.com/ubuntu trusty main
deb-src http://extras.ubuntu.com/ubuntu trusty main


a me sembra peggio, ma se sta bene a voi...
Ultima modifica di ubunter il martedì 19 giugno 2018, 18:29, modificato 1 volta in totale.
ubunter
Prode Principiante
 
Messaggi: 233
Iscrizione: febbraio 2008

Re: problema installazione flash player

Messaggioda trekfan1 » martedì 19 giugno 2018, 13:45

Inseriti in questo modo i listati rendono di difficile leggibilità il forum, clicca su Modifica, seleziona il testo e racchiudi l'output tra tag CODE (tasto CODICE dell'editor comlpleto):

Immagine
Avatar utente
trekfan1
Moderatore Globale
Moderatore Globale
 
Messaggi: 18064
Iscrizione: maggio 2006
Località: Formigine (MO) | Tenace Tecnocrate
Desktop: Gnome Shell
Distribuzione: Ubuntu 18.10 (dev) 64 bit
Sesso: Maschile

Re: problema installazione flash player

Messaggioda caturen » martedì 19 giugno 2018, 14:58

Mi pare di non trovare problemi oltre al fatto che usi una versione un po' datata del sistema operativo. Al massimo puoi farti un backup di quello e poi sostituirlo con questo
###### Ubuntu Main Repos
deb http://it.archive.ubuntu.com/ubuntu/ trusty main restricted universe multiverse

###### Ubuntu Update Repos
deb http://it.archive.ubuntu.com/ubuntu/ trusty-security main restricted universe multiverse
deb http://it.archive.ubuntu.com/ubuntu/ trusty-updates main restricted universe multiverse
deb http://it.archive.ubuntu.com/ubuntu/ trusty-proposed main restricted universe multiverse
deb http://it.archive.ubuntu.com/ubuntu/ trusty-backports main restricted universe multiverse
deb http://archive.canonical.com/ubuntu trusty partner
e provare se cambia qualcosa
ps non hai messo il risultato di
Codice: Seleziona tutto
sudo apt-get update && sudo apt-get upgrade
caturen
Tenace Tecnocrate
Tenace Tecnocrate
 
Messaggi: 14331
Iscrizione: aprile 2010
Desktop: diversi
Distribuzione: debian sid

Re: problema installazione flash player

Messaggioda ubunter » martedì 19 giugno 2018, 18:26

Codice: Seleziona tutto
ubuntu@ubuntu-E1-510:~$ sudo apt-get update
[sudo] password for ubuntu:
Ign http://dl.google.com stable InRelease
Trovato http://ppa.launchpad.net trusty InRelease                             
Ign http://archive.ubuntu.com trusty InRelease                                 
Trovato http://dl.google.com stable Release.gpg                               
Trovato http://archive.ubuntu.com trusty Release.gpg                           
Ign http://ppa.launchpad.net trusty InRelease                                 
Trovato http://archive.ubuntu.com trusty Release                               
Trovato http://dl.google.com stable Release                                   
Ign http://ppa.launchpad.net trusty InRelease                                 
Trovato http://archive.ubuntu.com trusty/main Sources                         
Ign http://extras.ubuntu.com trusty InRelease                                 
Ign http://ppa.launchpad.net trusty Release.gpg                               
Trovato http://archive.ubuntu.com trusty/restricted Sources                   
Scaricamento di:1 http://extras.ubuntu.com trusty Release.gpg [72 B]           
Trovato http://archive.ubuntu.com trusty/universe Sources                     
Trovato http://extras.ubuntu.com trusty Release                               
Trovato http://ppa.launchpad.net trusty/main amd64 Packages                   
Trovato http://archive.ubuntu.com trusty/multiverse Sources                   
Trovato http://extras.ubuntu.com trusty/main Sources                           
Trovato http://dl.google.com stable/main amd64 Packages                       
Trovato http://archive.ubuntu.com trusty/main amd64 Packages                   
Trovato http://extras.ubuntu.com trusty/main amd64 Packages                   
Trovato http://ppa.launchpad.net trusty/main i386 Packages                     
Trovato http://archive.ubuntu.com trusty/restricted amd64 Packages             
Trovato http://extras.ubuntu.com trusty/main i386 Packages                     
Trovato http://archive.ubuntu.com trusty/universe amd64 Packages               
Trovato http://ppa.launchpad.net trusty/main Translation-en                   
Trovato http://archive.ubuntu.com trusty/multiverse amd64 Packages             
Trovato http://archive.ubuntu.com trusty/main i386 Packages                   
Trovato http://ppa.launchpad.net trusty Release.gpg                           
Trovato http://archive.ubuntu.com trusty/restricted i386 Packages             
Trovato http://archive.ubuntu.com trusty/universe i386 Packages               
Ign http://ppa.launchpad.net trusty Release                                   
Trovato http://archive.ubuntu.com trusty/multiverse i386 Packages             
Trovato http://ppa.launchpad.net trusty Release                               
Trovato http://archive.ubuntu.com trusty/main Translation-it                   
Trovato http://archive.ubuntu.com trusty/main Translation-en                   
Trovato http://archive.ubuntu.com trusty/multiverse Translation-it             
Ign http://extras.ubuntu.com trusty/main Translation-it_IT                     
Trovato http://archive.ubuntu.com trusty/multiverse Translation-en             
Trovato http://archive.ubuntu.com trusty/restricted Translation-it             
Trovato http://archive.ubuntu.com trusty/restricted Translation-en             
Ign http://extras.ubuntu.com trusty/main Translation-it                       
Ign http://extras.ubuntu.com trusty/main Translation-en                       
Trovato http://archive.ubuntu.com trusty/universe Translation-it               
Trovato http://archive.ubuntu.com trusty/universe Translation-en               
Trovato http://ppa.launchpad.net trusty/main amd64 Packages                   
Trovato http://ppa.launchpad.net trusty/main i386 Packages                     
Ign http://archive.ubuntu.com trusty/main Translation-it_IT                   
Ign http://archive.ubuntu.com trusty/multiverse Translation-it_IT             
Ign http://archive.ubuntu.com trusty/restricted Translation-it_IT             
Ign http://archive.ubuntu.com trusty/universe Translation-it_IT               
Ign http://archive.canonical.com trusty InRelease                             
Scaricamento di:2 http://archive.canonical.com trusty Release.gpg [916 B]     
Scaricamento di:3 http://archive.canonical.com trusty Release [9.359 B]       
Scaricamento di:4 http://archive.canonical.com trusty/partner Sources [9.697 B]
Scaricamento di:5 http://archive.canonical.com trusty/partner amd64 Packages [5.348 B]
Scaricamento di:6 http://archive.canonical.com trusty/partner i386 Packages [5.765 B]
Scaricamento di:7 http://archive.canonical.com trusty/partner Translation-en [4.207 B]
Err http://ppa.launchpad.net trusty/main amd64 Packages                       
  404  Not Found
Err http://ppa.launchpad.net trusty/main i386 Packages                         
  404  Not Found
Ign http://ppa.launchpad.net trusty/main Translation-it_IT                   
Ign http://ppa.launchpad.net trusty/main Translation-it                       
Ign http://ppa.launchpad.net trusty/main Translation-en                       
Ign http://ppa.launchpad.net trusty/main Translation-it_IT                     
Ign http://ppa.launchpad.net trusty/main Translation-it                       
Ign http://ppa.launchpad.net trusty/main Translation-en                       
Recuperati 35,4 kB in 8s (4.071 B/s)                                           
W: Impossibile recuperare http://dl.google.com/linux/chrome/deb/dists/stable/Release  Impossibile trovare la voce "main/binary-i386/Packages" nel file Release (voce in sources.list errata o file danneggiato)

W: Impossibile recuperare http://ppa.launchpad.net/michael-gruz/canon-stable/ubuntu/dists/trusty/main/binary-amd64/Packages  404  Not Found

W: Impossibile recuperare http://ppa.launchpad.net/michael-gruz/canon-stable/ubuntu/dists/trusty/main/binary-i386/Packages  404  Not Found

E: Impossibile scaricare alcuni file di indice: saranno ignorati o verranno usati quelli vecchi.
ubuntu@ubuntu-E1-510:~$

Codice: Seleziona tutto
ubuntu@ubuntu-E1-510:~$ sudo apt-get upgrade
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Calcolo dell'aggiornamento... Eseguito
I seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:
  libappindicator1 libindicator7 rawtherapee-data
Usare "apt-get autoremove" per rimuoverli.
I seguenti pacchetti saranno aggiornati:
  rawtherapee
1 aggiornati, 0 installati, 0 da rimuovere e 0 non aggiornati.
È necessario scaricare 8.435 kB di archivi.
Dopo quest'operazione, verranno occupati 10,6 MB di spazio su disco.
Continuare? [S/n] s
Scaricamento di:1 http://ppa.launchpad.net/dhor/myway/ubuntu/ trusty/main rawtherapee amd64 4.2-4dhor~trusty [8.435 kB]
Recuperati 8.435 kB in 1min 53s (74,4 kB/s)                                   
(Lettura del database... 244693 file e directory attualmente installati.)
Preparativi per estrarre .../rawtherapee_4.2-4dhor~trusty_amd64.deb...
Estrazione di rawtherapee (4.2-4dhor~trusty) su (4.0.12+dfsg-2)...
dpkg: errore nell'elaborare l'archivio /var/cache/apt/archives/rawtherapee_4.2-4dhor~trusty_amd64.deb (--unpack):
 tentata sovrascrittura di "/usr/share/rawtherapee/images/curveType-flatLinear.png" presente anche nel pacchetto rawtherapee-data 4.0.12+dfsg-2
dpkg-deb: errore: il sottoprocesso paste è stato terminato dal segnale (Pipe interrotta)
Elaborazione dei trigger per hicolor-icon-theme (0.13-1)...
Elaborazione dei trigger per mime-support (3.54ubuntu1.1)...
Elaborazione dei trigger per gnome-menus (3.10.1-0ubuntu2)...
Elaborazione dei trigger per desktop-file-utils (0.22-1ubuntu1)...
Elaborazione dei trigger per bamfdaemon (0.5.1+14.04.20140409-0ubuntu1)...
Rebuilding /usr/share/applications/bamf-2.index...
Elaborazione dei trigger per man-db (2.6.7.1-1ubuntu1)...
Si sono verificati degli errori nell'elaborazione:
 /var/cache/apt/archives/rawtherapee_4.2-4dhor~trusty_amd64.deb
W: Duplicate sources.list entry http://dl.google.com/linux/chrome/deb/ stable/main amd64 Packages (/var/lib/apt/lists/dl.google.com_linux_chrome_deb_dists_stable_main_binary-amd64_Packages)
W: È consigliato eseguire "apt-get update" per correggere questi problemi
E: Sub-process /usr/bin/dpkg returned an error code (1)
ubuntu@ubuntu-E1-510:~$


cmq eviterei di aggiornare se possibile, per evitare di rendere instabile il sistema...
ubunter
Prode Principiante
 
Messaggi: 233
Iscrizione: febbraio 2008

Re: problema installazione flash player

Messaggioda woddy68 » martedì 19 giugno 2018, 19:03

cmq eviterei di aggiornare se possibile, per evitare di rendere instabile il sistema...

Non ha alcun senso non aggiornare, non aggiornando sarai vulnerabile, oltre ad avere questo tipo di problemi.
Non capisco se il tuo è un sistema a 32bit o a 64bit, visto che hai repository delle due diverse architetture. Quello che c'è di sicuro è che questi repository andrebbero rimossi
Codice: Seleziona tutto
http://ppa.launchpad.net/michael-gruz/canon-stable/ubuntu/dists/trusty/main/binary-amd64
http://ppa.launchpad.net/michael-gruz/canon-stable/ubuntu/dists/trusty/main/binary-i386

ma anche con il repository di chrome hai problemi, per cui perlomeno lo disattiverei momentaneamente, ma sappi che se il tuo sistema e a 32bit chrome non è più disponibile, ma puoi utilizzare chromium dai repository ufficiali.
Desktop - Acer Aspire M5500 (AMD) OpenSuse Leap 15 Kde -- Kubuntu 18.04 -- Tumbleweed
Notebook Acer Aspire E1 -522 (Amd) Tumbleweed
Avatar utente
woddy68
Imperturbabile Insigne
Imperturbabile Insigne
 
Messaggi: 3479
Iscrizione: febbraio 2011
Località: Bellano Lc
Desktop: Kde Plasma5
Distribuzione: Leap 15 - Tumbleweed- Kubuntu 18.04
Sesso: Maschile

Re: problema installazione flash player

Messaggioda caturen » martedì 19 giugno 2018, 19:49

dai
Codice: Seleziona tutto
sudo apt-get purge  libappindicator1 libindicator7 rawtherapee-data
quello che rende instabile il sistema non sono gli aggiornamenti, ma i vari ppa che tu hai aggiunto e che ora hanno incasinato il sistema.
Codice: Seleziona tutto
W: Duplicate sources.list entry http://dl.google.com/linux/chrome/deb/ stable/main amd64 Packages (/var/lib/apt/lists/dl.google.com_linux_chrome_deb_dists_stable_main_binary-amd64_Packages)
Codice: Seleziona tutto
W: Impossibile recuperare http://ppa.launchpad.net/michael-gruz/canon-stable/ubuntu/dists/trusty/main/binary-amd64/Packages  404  Not Found
quindi elimina quei ppa
Dopo averli eliminati ridai update-upgrade
Ultima modifica di caturen il martedì 19 giugno 2018, 20:09, modificato 1 volta in totale.
caturen
Tenace Tecnocrate
Tenace Tecnocrate
 
Messaggi: 14331
Iscrizione: aprile 2010
Desktop: diversi
Distribuzione: debian sid

Successiva

Torna a Multimediale

Chi c’è in linea

Visualizzano questa sezione: 0 utenti registrati e 1 ospite